## ros-iron-rviz-imu-plugin 2.1.3

=== debian/changelog ===
ros-iron-rviz-imu-plugin (2.1.3-3jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Tue, 06 Dec 2022 16:00:00 -0000

ros-iron-rviz-imu-plugin (2.1.2-3jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 13 Jul 2022 16:00:00 -0000

ros-iron-rviz-imu-plugin (2.1.1-3jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Mon, 23 May 2022 16:00:00 -0000

ros-iron-rviz-imu-plugin (2.1.0-3jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Sun, 01 May 2022 16:00:00 -0000

ros-iron-rviz-imu-plugin (2.0.0-3jammy) jammy; urgency=high

  * Initial release into ROS2 foxy, galactic and rolling
  * Fix gcc warnings + clang-tidy suggestions
  * Fix CMakeLists
  * Reformat everything using clang-format
  * rviz_imu_plugin: Fix include paths
  * rviz_imu_plugin: Use C++14
  * Fix package.xml dependencies
  * Port rviz plugin to ROS2, add new plugin (#125 <https://github.com/CCNYRoboticsLab/imu_tools/issues/125>)
  * Add MagneticField plugin
  * Update imu rviz plugin to ROS2
  * Update maintainers in package.xml
  * Contributors: Martin Günther, tgreier

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 11 Apr 2022 16:00:00 -0000

ros-iron-rviz-imu-plugin (1.2.2-3jammy) jammy; urgency=high

  * Export symbols so plugin can load
  * properly show/hide visualization when enabled/disabled
  * Contributors: CCNY Robotics Lab, Lou Amadio, Martin Günther, v4hn

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 24 May 2020 16:00:00 -0000

ros-iron-rviz-imu-plugin (1.2.1-3jammy) jammy; urgency=high

  * Fix includes, typos and log messages
  * print ros_warn and give unit quaternion to ogre to prevent rviz crash (#90 <https://github.com/ccny-ros-pkg/imu_tools/issues/90>)
  * Contributors: Jackey-Huo, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 05 May 2019 16:00:00 -0000

ros-iron-rviz-imu-plugin (1.2.0-3jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 24 May 2018 16:00:00 -0000

ros-iron-rviz-imu-plugin (1.1.5-3jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Tue, 23 May 2017 16:00:00 -0000

ros-iron-rviz-imu-plugin (1.1.4-3jammy) jammy; urgency=high

  * Add option to display orientation in world frame (#69 <https://github.com/ccny-ros-pkg/imu_tools/issues/69>)
    Per REP 145 IMU orientation is in the world frame. Rotating the
    orientation data to transform into the sensor frame results in strange
    behavior, such as double-rotation of orientation on a robot. Provide an
    option to display orientation in the world frame, and enable it by
    default. Continue to translate the position of the data to the sensor
    frame.
  * Contributors: C. Andy Martin

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 21 May 2017 16:00:00 -0000

ros-iron-rviz-imu-plugin (1.1.3-3jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 09 Mar 2017 16:00:00 -0000

ros-iron-rviz-imu-plugin (1.1.2-3jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Tue, 06 Sep 2016 16:00:00 -0000

ros-iron-rviz-imu-plugin (1.1.1-3jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Tue, 06 Sep 2016 16:00:00 -0000

ros-iron-rviz-imu-plugin (1.1.0-3jammy) jammy; urgency=high

  * Add qt5 dependencies to rviz_imu_plugin package.xml
    This fixes the compilation errors on Kinetic for Debian Jessie.
  * Contributors: Martin Guenther

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 24 Apr 2016 16:00:00 -0000

ros-iron-rviz-imu-plugin (1.0.11-3jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 21 Apr 2016 16:00:00 -0000

ros-iron-rviz-imu-plugin (1.0.10-3jammy) jammy; urgency=high

  * Support qt4/qt5 using rviz's exported qt version
    Closes #58 <https://github.com/ccny-ros-pkg/imu_tools/issues/58> .
    This fixes the build on Kinetic, where only Qt5 is available, and
    is backwards compatible with Qt4 for Indigo.
  * Contributors: Martin Guenther

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 21 Apr 2016 16:00:00 -0000

ros-iron-rviz-imu-plugin (1.0.9-3jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 15 Oct 2015 16:00:00 -0000

ros-iron-rviz-imu-plugin (1.0.8-3jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Tue, 06 Oct 2015 16:00:00 -0000

ros-iron-rviz-imu-plugin (1.0.7-3jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Tue, 06 Oct 2015 16:00:00 -0000

ros-iron-rviz-imu-plugin (1.0.6-3jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Mon, 05 Oct 2015 16:00:00 -0000

ros-iron-rviz-imu-plugin (1.0.5-3jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Tue, 23 Jun 2015 16:00:00 -0000

ros-iron-rviz-imu-plugin (1.0.4-3jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Tue, 05 May 2015 16:00:00 -0000

ros-iron-rviz-imu-plugin (1.0.3-3jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 28 Jan 2015 16:00:00 -0000

ros-iron-rviz-imu-plugin (1.0.2-3jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Mon, 26 Jan 2015 16:00:00 -0000

ros-iron-rviz-imu-plugin (1.0.1-3jammy) jammy; urgency=high

  * add me as maintainer to package.xml
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 09 Dec 2014 16:00:00 -0000

ros-iron-rviz-imu-plugin (1.0.0-3jammy) jammy; urgency=high

  * First public release
  * Contributors: Ivan Dryanovski, Martin Günther, Davide Tateo, Francisco Vina, Lorenzo Riano

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 02 Sep 2014 16:00:00 -0000
