=== debian/control ===
Source: ros-iron-rviz-imu-plugin
Section: misc
Priority: optional
Maintainer: Martin Günther <martin.guenther@dfki.de>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-iron-ament-cmake, ros-iron-message-filters, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-rviz-common, ros-iron-rviz-ogre-vendor, ros-iron-rviz-rendering, ros-iron-sensor-msgs, ros-iron-tf2, ros-iron-tf2-ros, ros-iron-ros-workspace
Homepage: http://ros.org/wiki/rviz_imu_plugin
Standards-Version: 3.9.2

Package: ros-iron-rviz-imu-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5core5a, libqt5gui5, libqt5opengl5, libqt5widgets5, ros-iron-message-filters, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-rviz-common, ros-iron-rviz-ogre-vendor, ros-iron-rviz-rendering, ros-iron-sensor-msgs, ros-iron-tf2, ros-iron-tf2-ros, ros-iron-ros-workspace
Description: RVIZ plugin for IMU visualization
